[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# UnixDateToDt

Convert a unix timestamp to a DateTime record

## Declaration

Source position: dos.pp line 51

`procedure UnixDateToDt(`
`SecsPast: LongInt;`
`var Dt: DateTime`
`);`

## Description

DTToUnixDate converts the unix timestamp value in SecsPast to a DateTime representation in DT. It is an internal function, implemented on Unix platforms, and should not be used.

## Errors

None.

## See also

DTToUnixDate |  | Convert a DateTime to unix timestamp
PackTime |  | Pack DateTime value to a packed-time format.
UnpackTime |  | Unpack packed file time to a DateTime value
GetTime |  | Return the current time
SetTime |  | Set system time

Documentation generated on: Feb 26 2014